Bug 210012 - fc6- kernel allows stracing of kernel threads
Summary: fc6- kernel allows stracing of kernel threads
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-09 15:03 UTC by Arjan van de Ven
Modified: 2015-01-04 22:28 UTC (History)
5 users (show)

Fixed In Version: kernel-2.6.18-1.2753.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 04:54:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arjan van de Ven 2006-10-09 15:03:34 UTC
Description of problem:

strace -p <pid of a kernel thread>

does not give permission denied!

Comment 1 Arjan van de Ven 2006-10-09 16:26:43 UTC
(strace is a security sensitive operation, someone needs to evaluate how serious
this is)

Comment 2 Roland McGrath 2006-10-10 04:19:55 UTC
This is a simple check accidentally omitted when converting the ptrace entry
checks for the new utrace-based code.  It only affects the kthread case (tasks
with no ->mm), and the uid and LSM checks are still performed so this can only
be done by root (and perhaps can't be done under selinux policy, don't know).
I don't think it rises to the level of a security concern.

I have a fix on its way.

Comment 3 Roland McGrath 2006-10-10 04:24:01 UTC
I committed the fixed utrace patch to kernel/devel, it will be in davej's next
kernel build.  I only wish this were a more interesting and auspicious bug to go
with the palindromic bug number.

Comment 4 Roland McGrath 2006-10-31 04:54:29 UTC
This was fixed in the FC-6 release kernel.


Note You need to log in before you can comment on or make changes to this bug.